using System.Text.Json.Serialization;

namespace MarcusLaw.OutlookAddin.Core.Models
{
    public sealed class DocumentEntity
    {
        [JsonPropertyName("id")]
        public string Id { get; set; } = string.Empty;

        [JsonPropertyName("name")]
        public string? Name { get; set; }

        [JsonPropertyName("status")]
        public string? Status { get; set; }

        [JsonPropertyName("fileId")]
        public string? FileId { get; set; }

        [JsonPropertyName("folderId")]
        public string? FolderId { get; set; }

        [JsonPropertyName("folderName")]
        public string? FolderName { get; set; }

        [JsonPropertyName("parentType")]
        public string? ParentType { get; set; }

        [JsonPropertyName("parentId")]
        public string? ParentId { get; set; }
    }
}
